You can help us in the development of the project on the website: https://linux-gaming.ru/donate/
----------------------------------------
Changelog:

###Scripts version 2274### Date: 07.04.2024 / Download update size: 15 megabytes
* added the previous theme for PortProton, enabled by adding "export GUI_THEME=classic" to "data/user.conf"

###Scripts version 2273### Date: 06.04.2024 / Download update size: 15 megabytes
* the PortProton interface has been updated
* improved the quality of the tray icon
* added the CatsLauncher (the Front Edge game) to the AUTOINSTALL
* added initial support .css (GTK+)
* updated DOTNET prefix

###Scripts version 2272### Date: 04.04.2024 / Download update size: 15 megabytes
* script refactoring:
 - yad_gui script combined with functions_helper
 - runlib script combined with start.sh
 - all functions from runlib, yad_gui and start.sh moved to functions_helper
* fixed winetricks update on some systems (thanks to Boria138)
* when cleaning the prefix, Common Files directories are not deleted from Program Files (to save vst libraries)
* updated the interface software (yad) to version 13.0 with Cyrillic support by default

###Scripts version 2271### Date: 03.04.2024 / Download update size: 15 megabytes
* improved interface of the prefix manager (xterm has been replaced with the standard PortProton interface)
* fixed the launch of the game "Dragon Age: Origin" from EAapp
* many small script improvements

###Scripts version 2270### Date: 31.03.2024 / Download update size: 15 megabytes
* added support for the game Horizon Forbidden West (to apply, you need to run the exe of the game and select SETTINGS -> RESET SETTINGS)
* fixed the operation of WINE from Kron4ek and returned the ability to download it using GET-OTHER-WINE
* fixed the launch of GET-OTHER-WINE (the interface for downloading third-party versions of WINE-PROTON) when launching exe files

###Scripts version 2269### Date: 29.03.2024 / Download update size: 15 megabytes
* added improvements when using the system WINE
* the preparation of PortProton scripts for working in flatpak has been completed

###Scripts version 2268### Date: 27.03.2024 / Download update size: 15 megabytes
* fixed the launch of some 32-bit games on the DEFAULT prefix. Examples:
    LEGO Marvel Super Heroes
    LEGO The Lord Of The Rings
    LEGO Star Wars - The Clone Wars
    Warhammer 40,000 Space Marine
    Star Wars The Force Unleashed
    Wolverine

###Scripts version 2267### Date: 27.03.2024 / Download update size: 15 megabytes
* implemented a twofold acceleration of prefix updates on all systems
* improved the functionality of settings for exe files (EDIT_DB)
* fixed the automatic installation of BattleNET

###Scripts version 2266### Date: 26.03.2024 / Download update size: 185 megabytes
* HOTFIX - download plugins from GITHUB

###Scripts version 2265### Date: 26.03.2024 / Download update size: 570 megabytes
* the faudio component has been added to the DEFAULT prefix (required for games running on the Creation Engine, example The Elder Scrolls)
* the plugins_v14 library package has been updated:
    transferred from the libs package: d3d_extras, reshade and default_pfx
    portable versions have been added: yad_v13_0, perl, exiftool (thanks to Boria138)
* the libs_v47 library package has been updated:
    pressure-vessel 0.20240306.0
    sniper 0.20240307.80401
* updated PROTON_LG to version "9-2"
* updated versions:
    DXVK_GIT "2.3.1"
    VKD3D_GIT "1.1-3973"
* added saving of settings changes to EDIT_DB when using the "OPEN SETTINGS FILE" button
* improved support for the PortProton test build in flatpak
* many small script improvements

###Scripts version 2264### Date: 15.03.2024 / Download update size: 15 megabytes
* added the option to end the first PortProton session when starting the second
* added auto-installation of the game "Pulse Online"

###Scripts version 2263### Date: 15.03.2024 / Download update size: 15 megabytes
* the lock file of the second session has been moved to "/tmp/portproton.lock"
* when starting from the terminal, it is clearly indicated that the lock file and its location have been found

###Scripts version 2262### Date: 14.03.2024 / Download update size: 230 megabytes
* added a warning when starting the second PortProton session
* added the ability to disable the container
* added the ability to use system WINE
* updated PROTON_LG to version 9-1
* updated versions:
    DXVK_GIT "2.3-90"
    VKD3D_GIT "1.1-3954"
* fixed installation of libraries from the prefix manager on openSUSE OS (thanks to Boria138)
* a separate version of PROTON is no longer required for Black Desert Online

###Scripts version 2261### Date: 07.03.2024 / Download update size: 15 megabytes
* HOTFIX - use settings from Black Desert Online launcher

###Scripts version 2260### Date: 07.03.2024 / Download update size: 15 megabytes
* added Black Desert Online to AUTOINSTALL
* fixed the prefix filling request while using the automatic installation of desktop games/launchers

###Scripts version 2259### Date: 06.03.2024 / Download update size: 15 megabytes
* the PortProton update feature has been fixed for Steam Deck in Gaming Mode (the current update needs to be installed from desktop mode)

###Scripts version 2258### Date: 06.03.2024 / Download update size: 15 megabytes
* fixed saving complex arguments for an exe file (example: "- /B/TX /lang:01 /tex:1 /spg:50 KingKongTheGame.bf")
* added automatic recovery shortcut to the menu for Steam Deck after SteamOS update (it is necessary to launch PP with any other shortcut of any game, or from Gaming Mode)
* the use of gamemode is disabled for Steam Deck in Gaming Mode (the session itself uses the pre-installed gamemode in SteamOS)

###Scripts version 2257### Date: 15.02.2024 / Download update size: 15 megabytes
* for all setup.exe is automatically selected by WINE_LG (corrects errors unarc.dll )
* added a function to disable compositing (thanks to Boria138)
* improved prefix update function
* many small script improvements

###Scripts version 2256### Date: 13.02.2024 / Download update size: 15 megabytes
* updated WINE_LG to version 9-2
* updated versions:
    D8VK "1.7.1-2367"
    DXVK_GIT "2.3-57"
    VKD3D_GIT "1.1-3908"
* fixed FAKE_DLSS in some games (CyberFSR project)
* improved download functions
* for Steam Deck, the launch of some games has been fixed only from the second time

###Scripts version 2255### Date: 12.02.2024 / Download update size: 15 megabytes
* the portable versions of MANGOHUD and GAMESCOPE are disabled for Steam Deck in Gaming Mode
* small additional script improvements

###Scripts version 2254### Date: 11.02.2024 / Download update size: 15 megabytes
* PortProton interface restart has been accelerated
* added priority for using the system gamemode if it is installed (thanks to Boria138)
* updated startup, update and unpacking animations (thanks to WEBMAS and Dervart)
* checking the PortProton update on Steam Deck occurs only in desktop mode

###Scripts version 2253### Date: 10.02.2024 / Download update size: 8 megabytes
* minor fixes for SteamOS

###Scripts version 2252### Date: 09.02.2024 / Download update size: 33 megabytes
* GUI has been completely translated from zenity to yad
* download from wget has been switched to curl (improved download stability with some providers)
* improved graphics in games are enabled by default (turned off by pressing: "HOME")
* Cyrillic check in paths with a warning has been added
* fixed the work of zink in x11 in new versions of mesa (thanks Htylol)
* improved the work of FAKE_DLSS (CyberFSR project)
* added a setting for enabling FAKE_DLSS_3 (experimental dlssg-to-fsr3 project)
* updated the plugins package to version v13
* updated GALLIUM_NINE version to 0.9
* updated NVAPI version to 0.6.4-20

###Scripts version 2251### Date: 02.02.2024 / Download update size: 8 megabytes
* HOTFIX - fixed automatic closing of EAapp after its installation

###Scripts version 2250### Date: 02.02.2024 / Download update size: 8 megabytes
* fixed prefix adjustment and updating when starting from steam
* fixed unpacking of WINE archives when starting from steam
* significantly improved PP integration when launching from steam (ALL launchers should work)
* fixed a rare League of Legends installation error
* vkPlay installation has been updated
* Electronic Arts App auto-installation has been returned
* minor improvements to the 3D API customization feature

###Scripts version 2249### Date: 30.01.2024 / Download update size: 8 megabytes
* added a unique name to launch Crossout (requires restarting the auto-installation)
* fixed installation of the Project64 emulator
* removed DuckStation, ScummVM, RPCS3 emulators (it is recommended to use native versions for Linux)
* improved MANGOHUD configuration functions (thanks to Boria138)
* minor additional localization and script improvements

###Scripts version 2248### Date: 26.01.2024 / Download update size: 8 megabytes
* creating a shortcut in the "MENU -> Games" is separate from creating on the "Desktop"
* added a condition for using fonts from WINE Proton only if there are no original fonts in the prefix
* fixed the choice of installing libraries in the PortProton prefix manager
* the creation of symlinks in PortProton has been transferred from direct paths to relative ones
* added the "VKBASALT_USER_CONF" setting to use vkBasalt system settings (thanks Arta48)
* updated the "EVE Online Launcher" installer to the current version (thanks cefeiko)

###Scripts version 2247### Date: 23.01.2024 / Download update size: 8 megabytes
* improved operation of the portable version of gamemode
* added cleaning of the data/tmp directory from broken (undocumented) archives before launching PortProton

###Scripts version 2246### Date: 20.01.2024 / Download update size: 8 megabytes
* HOTFIX - fixed the launch of Modern Warships after its update
* HOTFIX - fixed launch with gamescope
* the REDUCE_PULSE_LATENCY variable was returned to the settings when running on wayland
* by default, when creating a shortcut, the option "create a shortcut for STEAM" is deselected
* the PW_RESTORE_RESOLUTION setting is replaced with an automatic return to the original resolution of the main monitor after the game is completed
* improved automatic font size adjustment in MANGOHUD (when using more than one monitor)

###Scripts version 2245### Date: 19.01.2024 / Download update size: 350 megabytes
* updated WINE_LG to version 9-0 and added fonts from proton steam
* The libs_v46 container library package has been updated
* updated MANGOHUD to version 0.7.0 in the container (thanks to Boria138)
* fixed the display of gamemode in MANGOHUD (thanks to Boria138)
* improved the functionality of selecting an nvidia graphics card with hybrid graphics
* added auto-installation of the Modern Warships game (thanks to ValoKarDin)
* the auto installer has been updated and the GOG Galaxy launcher has been fixed 
* the auto installer has been updated and the operation of the CALIBER game has been fixed

###Scripts version 2244### Date: 14.01.2024 / Download update size: 8 megabytes
* updated PROTON_LG to version 8-25-2 (added fonts from proton steam)
* fixed the display of the script version after reinstalling PortProton from the settings of the PortProton itself

###Scripts version 2243### Date: 12.01.2024 / Download update size: 8 megabytes
* HOTFIX: Fixed spontaneous prefix switching when using the MANGOHUD configuration interface

###Scripts version 2242### Date: 11.01.2024 / Download update size: 8 megabytes
* added a graphical interface for configuring MANGOHUD (thanks to Boria138)
* updated versions:
    DXVK_GIT_VER 2.3-26
    VKD3D_GIT_VER 1.1-3821

###Scripts version 2241### Date: 28.12.2023 / Download update size: 8 megabytes
* HOTFIX - VKD3D 

###Scripts version 2240### Date: 28.12.2023 / Download update size: 8 megabytes
* the variable "DX12_DISABLE" has been removed from EDIT_DB (deprecated function)
* Vulkan driver verification has been transferred to the log creation mode
* updated the version check of the World Of Sea Battle game before installation
* The Wayland warning has been removed
* added the variable "PW_RESTORE_RESOLUTION" to EDIT_BD (thanks to Boria138)

###Scripts version 2239### Date: 17.12.2023 / Download update size: 8 megabytes
* fixed the launch of League of Legends (to fix it, run the auto-installation)
* added correct verification of the vulkan driver, without installing vulkan-tools into the system
* implemented automatic addition of mounted disks to the prefix (thanks to Boria138)
* fixed the launch of GAMESCOPE when there are several NVIDIA graphics cards in the system (thanks to Vano)

###Scripts version 2238### Date: 12.12.2023 / Download update size: 8 megabytes
* fixed GAMESCOPE and vkBasalt collaboration
* optimized prefix creation and updating
* fixed disabling MANGHUD in settings
* added a reset button in the settings when launching the exe (to restore the default settings)
* added a forced display of the exe file launch settings when launching a shortcut from the PortProton interface
* added tooltips in the emulator installation tab (thanks Akai)
* added a warning if there is no working Vulkan driver (thanks to Boria138)

###Scripts version 2237### Date: 08.12.2023 / Download update size: 8 megabytes
* combined the inclusion of MANGOHUD in the settings (32-bit and 64-bit)
* fixed vkBasalt working with gamescope
* fixed the launch of some games that worked only in the DEBUG mode
* fixed the choice of video card when launching from gamescope (thanks to Boria138)
* new versions of wine are downloaded only if it is selected after launch, and not before launching PortProton

###Scripts version 2236### Date: 07.12.2023 / Download update size: 8 megabytes
* the ability to enable GAMESCOPE has been added to the settings before starting the game (provided that it is installed on the system)
* the installation of the Citra emulator has been fixed

###Scripts version 2235### Date: 06.12.2023 / Download update size: 8 megabytes
* Fixed the missing osu icon! in the list of installed applications
* updated Panzar auto-installation and fixed icon creation
* updated GOG Galaxy
 - auto-installation - added automatic detection of the current version for installation
 - installation is performed in a separate GOG prefix
 - auto-installation is performed again in silent mode (no questions asked)

###Scripts version 2234### Date: 03.12.2023 / Download update size: 200 megabytes
* updated PROTON_LG to version 8-25-1 (fixed BattleNET)
* fixed the creation of shortcuts to STEAM in the absence of shortcuts.vdf file
* fixed the creation of icons for standard shortcuts (thanks Arta48)
* added the ability to create ppdb files for symbolic links (fix for the same exe file names)
* created individual settings files for games:
 - Genshin Impact
 - Warframe
 - Rockstar
(the application requires restarting the auto-installation of the required game)

###Scripts version 2233### Date: 26.11.2023 / Download update size: 8 megabytes
* HOTFIX - create shortcut to STEAM

###Scripts version 2232### Date: 26.11.2023 / Download update size: 8 megabytes
* added choose video card in settings (thanks Boria138)
* added create shortcut to STEAM (Thanks: Akai, Boria138, Cefeiko, Vano, redroot, project steamtinkerlaunch and set -x)
* minor updated

###Scripts version 2231### Date: 24.11.2023 / Download update size: 200 megabytes
* updated PROTON_LG to version 8-24
* updated autoinstall: World of Sea Battle x64 (thanks Iglu47 and Cefeiko)

###Scripts version 2230### Date: 10.11.2023 / Download update size: 8 megabytes
* minor update

###Scripts version 2229### Date: 08.11.2023 / Download update size: 200 megabytes
* updated PROTON_LG to version 8-22
* updated versions:
    DXVK_GIT_VER 2.3-13
    VKD3D_GIT_VER 1.1-3727
* added the inclusion of USE_GALLIUM_ZINC providing the ability to translate OpenGL to Vulkan (thanks Htylol)
* improved information content and readability of logs (thanks Boria138)


###Scripts version 2228### Date: 02.11.2023 / Download update size: 8 megabytes
* improved definition of RTX series graphics cards
* fixed hybrid graphics on some laptop configurations (but not yet on all)

###Scripts version 2227### Date: 22.10.2023 / Download update size: 520 megabytes
* updated PROTON_LG to version 8-20 (LGC and WGC no longer require a separate version of WINE)
* updated WINE_LG to version 8-18 (improved operation of vkPlay games: fixed videos in Atomic Heart TVs, the game Kuzhlevka works)
* the libs_v44 library package has been updated:
    pressure-vessel 0.20230928.1
    sniper 0.20231005.62324
    reduced the size of the archive with libraries
* accelerated prefix creation and updating
* test: added driver selection for AMD (thanks to Boria138)
* minor additional script improvements

###Scripts version 2226### Date: 09.10.2023 / Download update size: 8 megabytes
* updated autoinstall scripts (thanks Boria138)
* minor improvements

###Scripts version 2225### Date: 08.10.2023 / Download update size: 8 megabytes
* improved log creation mode
* the inclusion of "USE_SYSTEM_VK_LAYERS" has been added to the "SETTINGS" tab, which makes it possible to use the system mangohud, vkBasalt, obs-vkcapture and others
* the inclusion of "USE_OBS_VKCAPTURE" has been added to the "SETTINGS" tab, which makes it possible to write to OBS Studio using obs-vkcapture (ATTENTION: the forced use of system mangohud, vkBasalt, obs-vkcapture and other applications using vulkan layers will be enabled)
* updated autoinstall for League of Legends

###Scripts version 2224### Date: 28.09.2023 / Download update size: 210 megabytes
* global cleaning of database files (thanks to Boria138)
* updated PROTON_LG to version 8-17 (fixed community and support tabs in the Genshin Impact game)
* accelerated search nvngx.dll when NVAPI and DLSS are enabled
* added a check to run the .desktop file of a non-existent application

###Scripts version 2223### Date: 23.09.2023 / Download update size: 8 megabytes
* updated DOTNET prefix
* blocked use USE_US_LAYOUT under Wayland

###Scripts version 2222### Date: 22.09.2023 / Download update size: 8 megabytes
* HOTFIX: update prefix
* WGC and LGC are set in separate prefixes
* fixed clearing the DOTNET prefix
* minor changes to the WINE settings tab
* fixed the function of forcing the use of the English layout

###Scripts version 2221### Date: 19.09.2023 / Download update size: 230 megabytes
* updated PROTON_LG to version 8-15-1 (fix update prefix)
* added (спасибо Boria138)
	REDUCE_PULSE_LATENCY - 'Reduce pulseaudio latency to fix intermittent sound'
	USE_US_LAYOUT - 'Forced use of the us layout (useful for games in which the control works correctly only on the us layout)'

###Scripts version 2220### Date: 17.09.2023 / Download update size: 260 megabytes
* HOTFIX: Plarium Play
* HOTFIX: World of Warships
* updated versions:
    DXVK_GIT_VER 2.3-5
    VKD3D_GIT_VER 1.1-3622
* updated PROTON_LG to version 8-15

###Scripts version 2219### Date: 03.09.2023 / Download update size: 8 megabytes
* HOTFIX: Starfield
* FIX: installing dotnet 4.6.1 for Plarium Play

###Scripts version 2218### Date: 03.09.2023 / Download update size: 8 megabytes
* improved verification of RTX 4000 series video cards
* added a check for NVIDIA + intel/amd hybrid graphics (thanks to Boria138)
* added the variable __VK_LAYER_NV_optimus=NVIDIA_only when PRIME_RENDER_OFFLOAD is enabled (thanks to Boria138)
* deleting previous versions of lib and plugins occurs only when new versions are downloaded successfully (if there are problems with downloading, you can skip and use PP with previous versions of libraries)
* by default, PROTON_LG and WINE_x.x_LG are selected
* added the ability to use stable versions of DXVK and VKD3D by default (by adding export PW_VULCAN_USE=1 to user.conf)

###Scripts version 2217### Date: 31.08.2023 / Download update size: 8 megabytes
* the latest versions of DXVK and VKD3D are selected by default

###Scripts version 2216### Date: 30.08.2023 / Download update size: 650 megabytes
* updated PROTON_LG to version 8-14
    there is no extra symbol on the screen when starting STEAM_PP
    fixed installation of Battle NET (again)
* updated versions:
    DXVK_STABLE_VER="2.2-34"
    DXVK_GIT_VER="2.2-164"
    VKD3D_STABLE_VER="1.1-3445"
    VKD3D_GIT_VER="1.1-3556"
* Updated libs_v44 library package:
    pressure-vessel 0.20230718.0
    sniper 0.20230718.55074
* added automatic detection of NVIDIA RTX graphics cards (thanks to Boria138)
* added automatic activation of DLSS and RAY TRACING support for NVIDIA RTX graphics cards
* added check Vulkan API version

###Scripts version 2215### Date: 18.08.2023 / Update download size: 8 megabytes.
* added script mirror: https://gitlab.eterfund.ru/Castro-Fidel/
* creation of third-party (non-working) shortcuts by means of wine is disabled (when using wine versions other than proton)

###Scripts version 2214### Date: 04.08.2023 / Update download size: 250 megabytes.
* updated PROTON_LG to version 8-11

###Scripts version 2213### Date: 03.08.2023 / Update download size: 250 megabytes.
* updated PROTON_LG to version 8-10
* an update from Boria138 has been adopted and finalized, adding a setting for limiting the use of CPU cores. (WINE_CPU_TOPOLOGY)
* added a fix that significantly reduces the CPU load and increases FPS in Unity games (assuming more than 8 logical processor cores)
* fixed changing and disabling FPS cutting

###Scripts version 2212### Date: 01.08.2023 / Update download size: 10 megabytes.
* added D8VK (DirectX 8 to Vulkan API)

###Scripts version 2211### Date: 31.07.2023 / Update download size: 9 megabytes.
* fix: League Of Legends (updated WINE_LOL_GE_8.12)
* updated README in GitHub (thanks Boria138)

###Scripts version 2210### Date: 28.07.2023 / Update download size: 9 megabytes.
* fix install and run (need tests):
    BattleNET
    STEAM_PP
* minor scripts changes

###Scripts version 2209### Date: 26.07.2023 / Update download size: 9 megabytes.
* added "Battle Of Space Raiders" autoinstall (thanks Boria138)
* minor improvements by Boria138
* disabled EAC and BE for autoinstall
* HOTFIX - fixed issues on some systems when using PROTON_LG_8-X

###Scripts version 2208### Date: 24.07.2023 / Update download size: 9 megabytes.
* added rename shortcut (thanks Maks1mS)
* minor improvements by Boria138
* fix installing: Genshin Impact

###Scripts version 2207### Date: 23.07.2023 / Update download size: 250 megabytes.
* updated PROTON_LG_8-6 (with MONO 8.0)
* updated DXVK_GIT_VER="2.2-137"
* updated VKD3D_GIT_VER="1.1-3516"

###Scripts version 2206### Date: 07.07.2023 / Update download size: 250 megabytes.
* updated PROTON_LG_8-6 (with MONO 8.0)
* updated DXVK_GIT_VER="2.2-116"
* updated VKD3D_GIT_VER="1.1-3488"
* added Guild Wars 2 to autoinstall

###Scripts version 2205### Date: 01.07.2023 / Update download size: 240 megabytes.
* updated PROTON_LG_8-4
* with the PROTON_LG_8-4 version, the "World of Ships" game is working again
* with the PROTON_LG_8-4 version, the "Ubisoft Connect" is working again

###Scripts version 2204### Date: 29.06.2023 / Update download size: 9 megabytes.
* update localization
* minor fixes for installing LGC and WGC

###Scripts version 2203### Date: 23.06.2023 / Update download size: 9 megabytes.
* minor fixes for installing Battle.net

###Scripts version 2202### Date: 15.06.2023 / Update download size: 9 megabytes.
* added Genshin Impact (again)
* fix: download PROTON-GE

###Scripts version 2201### Date: 12.06.2023 / Update download size: 9 megabytes.
* improved readability of the output when running portproton from the terminal 
* fixed the launch of the game World of Sea Battle
* added the selection of the settings file before launching setup.exe

###Scripts version 2200### Date: 06.06.2023 / Update download size: 9 megabytes.
* updated WINE for League of Legends 

###Scripts version 2199### Date: 05.06.2023 / Update download size: 9 megabytes.
* minor fixes
* function removed: check_nvidia_vk_icd_file

###Scripts version 2198### Date: 02.06.2023 / Update download size: 9 megabytes.
* HOTFIX №2 for DLSS
* HOTFIX - language change

###Scripts version 2197### Date: 02.06.2023 / Update download size: 9 megabytes.
* HOTFIX for DLSS

###Scripts version 2196### Date: 01.06.2023 / Update download size: 9 megabytes.
* fixed language switching in PortProton
* successfully tested native versions of DLSS and DXR in Alt Linux on video cards from NVIDIA RTX series
* added settings file for new game: SystemShockRemake
* updated STEAM settings file with online fix (thanks to Boria | Arch | GNOME) To apply the changes, you need to run the STEAM auto-installation again
* minor interface improvements
* added variable for laptops with hybrid graphics to PortProton/data/user.conf: "export optirun_on= #nvidia-prime-run or prime-run"
* added condition: if "optirun_on" variable is not empty, then PRIME_RENDER_OFFLOAD and nvidia_vk_icd_file check are automatically enabled

###Scripts version 2195###
* FIX - install Rockstar Games Launcher
* DELETE - ROBLOX (need use: https://github.com/roblox-linux-wrapper/roblox-linux-wrapper)
* updated DXR и DLSS functions

###Scripts version 2194###
* HOTFIX - removed nvml verification in the plugins directory

###Scripts version 2193###
* a small change in the settings of 3D api, DXR, DXS.
* updated dxvk-nvapi to version 0.6.3
* updated FAKE_DLS 230506 (FidelityFx Super Resolution 2.2-3001-0-9-1683395145)

###Scripts version 2192###
* fixed interface window when changing its size
* HOTFIX - transition on the way to .exe file

###Scripts version 2191###
Date: 29.05.2023 / The size of the downloaded update: 450 megabytes.
* the libs_v43 library package has been updated
    pressure-vessel 0.20230418.0 
    sniper 0.20230424.48416
    YAD 12.3
* fixed vkPlay Cloud Cloud gaming (it is necessary to reinstall vkPlay from the AUTOINSTALL tab after updating the scripts)
* the installation and launch of Plarium Play has been restored
* PortProton has been transferred to a new version of the pseudographic interface: YAD 12.3

###Scripts version 2190###
* added auto-detection of the path to the file to be launched after selecting automatic installation ITCH.IO
* the FULCRUM GAMES launcher has been completely removed from PortProton due to the transition of all their PC games to the STEAM launcher

###Scripts version 2189###
* accelerated the launch of Metal War Online when the game is restarted. (ALT bug 46275) To apply the fix, you need to run the MWO auto-installation again
* fixed the display of Panzar game icons (ALT bug 46273)
* fixed the display of World of Sea Battle game icons (ALT bug 46274)
* fixed the installation and launch of Ankama Launcher (ALT bug 46276)

###Scripts version 2188###
* Indiegala Client installation is installed in a separate IGCLIENT prefix
* temporarily removed installers that require improvements:
    Genshin Impact (the developers, for their part, again banned the launch under wine)
    Plarium Play (requires dotnet 6, which does not work adequately at the moment)
    Electronic Arts App (after switching from Origin to EA App launcher works, but the games do not start) 
* added the ability to download a new version of wine: PROTON_STEAM_8.0-2D (using DOWNLOAD OTHER WINE)
* fixed incorrect display of the game icon when launching exe files similar in name: Setup, setup, Launcher, launcher (ALT bug 46269)

###Scripts version 2187###
* Added: (Thanks chal55rus Sergey P.)
    CONTRACT WARS
    Stalker Online
    Metal War Online
    Xenia
    FCEUX
    xemu
    Demul
    Rpcs3 

###Scripts version 2186###
* added Genshin Impact 

###Scripts version 2185###
* updated versions:
    DXVK_GIT_VER="2.2-7"
    VKD3D_GIT_VER="1.1-3424"

###Scripts version 2184###
* FIX for EveLauncher

###Scripts version 2183###
* minor fixes
* updated versions:
    DXVK_GIT_VER="2.2-1"
    VKD3D_GIT_VER="1.1-3414"

###Scripts version 2182###
* updated versions:
    PROTON_GE="8-3"
    DXVK_GIT_VER="2.1-85"
    VKD3D_GIT_VER="1.1-3413"

###Scripts version 2181###
* updated versions:
    PROTON_GE="8-2"
    DXVK_GIT_VER="2.1-79"
    VKD3D_GIT_VER="1.1-3410"

###Scripts version 2180###
* updated versions: WINE_LOL_GE_7.0-8 (for League of Legend)

###Scripts version 2179###
* compiled and added to GitHub a new version of WINE from our project: WINE_8.5_LG (Atomic Heart videos work)
* fixed videos in the Atomic Heart game (it is necessary to reinstall vkPlay from the AUTOINSTALL tab after updating the scripts)

###Scripts version 2178###
* updated versions:
    PROTON_LG="7-54"
    PROTON_GE="7-54"
    DXVK_GIT_VER="2.1-51"
    VKD3D_GIT_VER="1.1-3339"

###Scripts version 2177###
* Updated libs_v42 library package:
     fixed installation of League of Legends
     fixed problems with primary authorization in different launchers when using PROTON_LG
     finally fixed the problem of launching RDR2 purchased from the Epic Games Launcher
* Added instructions for installing PortProton for OS "Alt Linux (Sisyphus)" in README.md and on the site linux-gaming.ru:
    su -
    epm full-upgrade
    epm ei
    epm play portproton

###Scripts version 2176###
* The libc_v41 library package has been updated
    PROTON_LG="7-53" 
    PROTON_GE="7-53" 
    DXVK_GIT_VER="2.1-48"
    VKD3D_GIT_VER="1.1-3325"
* updated the vkBasalt version to work with the latest versions of DXVK and VKD3D (thanks to Vuursteen for compiling)

###Scripts version 2175###
* Updated the list of thanks to paid subscribers on https://boosty.to/portwine-linux.ru
* Thank you so much:
    anisan_sg
    Максим Хмара-Миронов
    svo
    Seeropoonya
    Alexsei Cherniavskiy
    wrager
    Zloy Ivan
    Bat1stuff
    LeGi0neR
    ivboss
    vlad petrov
    Ростислав Кузнецов
    Maksami Cordyceps
    Александр Аброськин
    Константин
    Ottakvot
    VAtiB
    sship
    Homyakin
    Dima Manshin
    gg_harper
    DIO
    Ivory_drive
    Jeta
    PLAFON
    Coin Hunt
    Александр Кладов
    Антон Фамилианов
    Cruze
    Gekko
    Melord
    Taras Zagibalov
    dupster mailbox
    funti2f
    Артём М.
    Владимир Бильдюкевич
    Олег Скакунов
    A B
    onix
    BELIJJAaL
    Apofis Smab
    Aule Mahal
    Андрей Гусаков
    Влад Кладиев
    Дмитрий Маньшин
    Vikthor Prieto
    Александр Абдулов
    Александр Мерзликин
    Алексей Чугунов
    Дмитрий Круглов
    Егор Кречун
    Евгений Храмов
    Ярослав Москвин
    Виктор Щетинин
    CanBoo
    Алексей Галаш
    Алексей Самойлов
    Another games
    Maktub
    MrBatonio
    Алексей Ивушкин
    Тимофей Ковалев
    Юрий С.
    Alex Sh
    AlxChkln
    Ivan Vlasov
    Rojok56
    vano_364
    xpamych
    Андрей Нешта
    Виталий Росляков
    Евгений Долгополов
    Евгений Хирвонен
    Иван Чевычелов
    Марат Рахимов
    Сергей Александрович К.
    Windchester
    Неизвестый Дмитрий
    Денис Олефиренко
    Soma
    Никита Булавин
    Сергей Sid
    haravara
    Энвер
    Серёга Сапрыкин
    AdamArclight666
    Vosarat
    fight fox
    Дед Мазай
    Леонид
    tima
    Andrei K
    Tykva
    Григорий Кожуханцев
    Стас Толкачёв
    Haschwalth
    Looter-bit
    Optimus
    zntzj
    Маленькая сосна
    Ethan Winters
    Семён Клишин
    Daniil Go
    GaiverX
    Happy Husky
    Pependos
    Zorit
    chal55rusSergey P.
    d.kostroma
    penguin4ek
    Алексей Войтенко
    Влад Блинов
    Данил Павлов
    Жан-Люк Пикар
    Коляныч Королёв
    Марат
    Равич Ревес
    Роман Паженский
    Aleks
    Dencher12
    Rustam
    Евгений Бебин
    Константин Абадонна
    Никита Иванов
    Семён Сорокин
    Сергей Шипарев
    V1ktr
    Алексей Ultralin
    Evgen Buiko
    Allegra_g
    Eliot
    amikha1lov
    paulscathedral
    Удалить Аккаунт
    Alexey RasskazovskyQ
    Bunny Sword
    Евгений Горенков
    Geomant17
    Oleg55Rus
    The End
    WK217
    devmorro
    typedef
    Георгий Гурский
    Никита Попков
    Рамиль
    Рома Б.
    Семён
    Dnevnnoy
    Jackie
    PlagueEvgeny
    Slir3x
    Zillah Giovanni
    ksandr4370
    Владимир Дарвин
    Денис Мальцев
    Тима Суеубаев
    Drakorgaur
    EvilDevolver
    Nuclearsun
    Sergey Zotov
    Виндэтарог
    Виталий Богаченко
    Павел Пашенцев
    Виталий Нуров
    July April
    didi_side
    Валерий Толмачёв
    Azartiny Mor
    Dezert1r
    Dmitriy Tokarev
    Kitsune_Yagiza
    Lonely Lonely
    MICROFARAT
    Monti Roquefort
    Nesterik
    Ruslan Vlasov
    Sudo Connect
    VUMtut
    Xpamych
    apolon
    fusiok
    mrquokka
    sanelasan
    shecspir
    sugoyako
    Антон Рудковский
    Артём К.
    Дмитрий Сергеев
    Павел Иванов
    Igor14936
    VanBugel
    Кирилл Т
    BRXC
    D M_y
    MLogaut
    Nikola P.
    Yasiok
    Вячеслав Шустров
    Дмитрий Мазанка
    Тимур Сафонов
    1 1
    El Mago
    dunkanMcLoud
    Akai
    Dallasss
    Linux Vumtut
    Nurik
    Subscript
    Yurec
    sendependa_dio
    ua3dko
    Алексей Зубрийчук
    Антоний Дамикан
    Виктор Шварц
    Вячеслав Шитюков
    Денис Матій
    Дмитрий Сидоров
    Роман Игнатьев
    Саша 
    Юрий Константинов
    benya
    Женя Рябушкин
    Хоттабыч
    DSergeev
    Dadenard
    Lexa XLS
    Saireg
    sashman
    Александр Лобанов
    Андрей Карпенцов
    Иван Белекеев
    Михаил Полозов
    николай гинтов

###Scripts version 2174###
* updated versions:
    PROTON_LG="7-51" 
    PROTON_GE="7-51" 
* minor improvements and optimization of scripts

###Scripts version 2173###
* added saving the size of the PortProton main menu window

###Scripts version 2172###
* minor improvements searching the .exe files 

###Scripts version 2171###
* all shortcuts created in the PortProton directory are automatically added to the "INSTALLED" tab item with which you can launch installed games and applications from PortProton itself
* the menu tab "INSTALLED" is automatically transferred as the main (first) tab in PortProton, if you already have shortcuts to installed games or programs
* minor improvements and optimization of scripts

###Scripts version 2170###
* added .ppdb file for Hogwarts Legacy

###Scripts version 2169###
* HOTFIX for ROBLOX (updated)

###Scripts version 2168###
* added installation of the ROBLOX

###Scripts version 2166###
* added a shortcut creation assistant after installing the game/program using setup.exe
* the "INSTALLED" tab has been added to the main interface of PortProton, in which you can search for all exe files in all PortProton prefixes

###Scripts version 2165###
* HOTFIX - runing Atomic Heart from VK Play

###Scripts version 2164###
* added support for the --autoinstall argument [script_id_pw_autoinstall] - to be able to install the game\program without running the main PortProton interface
* updated the output of the --help argument from the terminal
* added a forced shutdown of the virtual desktop for vkPlay (to apply, just re-install vkPlay)
* added a fix for displaying text on some systems when using steam (to apply, just re-install steam)
* Updated the libs_v40 library package
* Updated plugins_v10 library package
    - updated Proton EAC to the current state
* increased buttons in the PortProton interface

###Scripts version 2163###
* Steam is working again and starts in Steam Deck mode by default
* added automatic reset of the .ppdb file settings when reinstalling the launchers from the PortProton menu
* added creation of a shortcut to the desktop

###Scripts version 2162###
* The libc_v39 library package has been updated
    - Uplay is working again
    - many minor fixes
* added automatic prefix update after library update
* added installation of the STALCRAFT game

###Scripts version 2161###
* updated versions:
    PROTON_GE="7-49"

###Scripts version 2160###
* updated versions:
    PROTON_GE="7-48" (by default)
    DXVK_GIT_VER="2.1"
    VKD3D_GIT_VER="1.1-3132"
export WINE_FULLSCREEN_FSR="1" (by default)

###Scripts version 2159###
* Updated libs_v38 (HOTFIX)

###Scripts version 2158###
* Updated libs_v37:
    fix: kernel32.dll

###Scripts version 2157###
* Updated libs_v36:
    depot 0.20230111.68
    pressure-vessel 0.20221215.0 scout
    scripts 0.20221215.0
    sniper 0.20230109.1

###Scripts version 2156###
* the variable "PW_MANGOHUD_x32" has been added to EDIT_BD, which enables MANGOHUD for 32-bit games (temporary need to bypass the error of MANGOHUD in 64-bit games in some systems)

###Scripts version 2155###
* updated versions:
    PROTON_LG="7-47"
    PROTON_GE="7-47"
    DXVK_GIT_VER="2.0-116"
    VKD3D_GIT_VER="1.1-3115"

###Scripts version 2154###
* updated PROTON_LG 7-43

###Scripts version 2153###
* updated versions:
      PROTON_GE="7-43"
      DXVK_GIT_VER="2.0-36"
      VKD3D_GIT_VER="1.1-3094"
* fixed crashes of the Witcher 3 game (next gen. DX12) It is necessary to use the PROTON_GE_7-43 version

###Scripts version 2152###
* added installation of the game Path of Exile
* updated versions of GIT DXVK and VKD3D:
      DXVK_GIT_VER="2.0-34"
      VKD3D_GIT_VER="1.1-3088"
* added vkbasalt unexpected shutdown when building GIT versions of DXVK and VKD3D (temporarily)
* libs_v34 (updated container and created a prefix template transfer plugin from a directory in the libs directory)
      pressure vessel 0.20221130.0
      sniper 0.20221130.0
* updated FAKE_DLSS version to 091122

###Scripts version 2151###
* added Panzar

###Scripts version 2150###
* added Warframe

###Scripts version 2149###
* added STEAM (version for Windows)
* added Indiegala Client

###Scripts version 2148###
* added Crossout

###Scripts version 2147###
* created a repository https://github.com/Castro-Fidel/vulkan/releases with DXVK and VKD3D versions compiled specifically to work under the container, which reduces problems and increases the number of games launched
* default versions:
     export DXVK_STABLE_VER="1.10.3-28"
     export DXVK_GIT_VER="2.0-26"
     export VKD3D_STABLE_VER="1.1-2602"
     export VKD3D_GIT_VER="1.1-2967"
* you can still set the standard versions of DXVK and VKD3D for individual games and they will be downloaded from off. GitHub repositories
* solved problem with League of Legends game on some systems (eg Rosa Linux)

###Scripts version 2146###
* added interface language switching in the "PORTPROTON SETTINGS" section
* added the ability to download the new version of PROTON STEAM 7.0-5
* minor fixes and script improvements

###Scripts version 2145###
* added the ability to change SVN and VKD3D versions in the game settings file .pdb and globally in user.conf using variables (values are given for example):
        export DXVK_STABLE_VER="1.10.3"
        export SVN_GIT_VER="2.0"
        export VKD3D_STABLE_VER="2.6"
        export VKD3D_GIT_VER="2.7"
* for League of Legends, the default version is DXVK 1.10.2 - as more stable for this game

###Scripts version 2144###
* updated WINE for League of Legends

###Scripts version 2143###
* due to EA Launcher issues, the Origin installer has been temporarily reverted

###Scripts version 2142###
* added alternative FTP server for PP component updates if download failed from main GITHUB server
* added display of current versions of DXVK and VKD3D when they are selected in the PortProton interface
* Changed the WINE_WIN_START="start /i /b /wait /high /unix" variable to increase the priority of the application being started (test) and more detailed output of information when creating a Log.
* for lovers of MMORPGs and weak hardware, an automatic installer Fulqrum Games has been added to launch Royal Quest - a massively multiplayer online game developed by 1C and Katauri Interactive. Thanks chal55rus (Sergey P.)
* Added PlariumPlay automatic installer to launch Raid: Shadow Legends

###Scripts version 2141###
* HOTFIX - added EA icon

###Scripts version 2140###
* added the USE_WINE_DXGI variable to EDIT_DB
* added the function of modular updating of DXVK and VKD3D-PROTON from GitHub servers
* added selection of DXVK and VKD3D-PROTON versions when launching games/launchers
* changed the automatic installation of ORIGIN on EA Launcher (beta test)

###Scripts version 2139###
* added the function of reinstalling PortProton from the menu of PortProton itself and using the "--reinstall" argument in the terminal
* updated version of PROTON_LG 7.34 based on PROTON GE 7.39 (Updated support for running game: "Overwatch 2")

###Scripts version 2138###
* added "Calibre" in AUTOINSTALL (thanks chal55rus)

###Scripts version 2137###
* updated version of PROTON_LG 7.32 based on PROTON GE 7.38 (Added support for running game: "Uncharted: Legacy of Thieves")
* minor script optimizations for running PortProton

###Scripts version 2136###
* added "Lesta Game Center" in AUTOINSTALL

###Scripts version 2135###
* updated PROTON_GE_7-37 (updated dxvk and vkd3d)

###Scripts version 2134###
* added the WINE-GE-CUSTOM tab in GET_OTHER_WINE to download versions of wine LUTRIS
* updated the PROTON_LG 7.31 version (together with dxvk and vkd3d)
* changed the MY.GAMES auto-installer to vkPlay (with the creation of a separate VK_PLAY prefix)

###Scripts version 2133###
* update libs_v33 (steam runtime sniper container 09/29/2022, version MANGOHUD 0.6.8)
* update plugins_v8 (updated version of FAKE DLSS - FSR 2.1.1)
* removed variables from the EDIT_DB menu that are no longer necessary
* made a small optimization of scripts to speed up the launch of games 
* ORIGIN is working again (if you already have ORIGIN installed, enable USE_TERMINAL in EDIT_DB)

###Scripts version 2132###
* ATTENTION! The site portwine-linux.ru which is working again - FAKE! What kind of person did this and with what motives is unknown. So be vigilant! The site of our project: LINUX-GAMING.RU - and once again I will ask all the authors of their sites and Youtube channels to change their links. Thank you.

###Scripts version 2131###
* HOTFIX and change url

###Scripts version 2130###
* by default, the WINE version of PROTON_LG is used (based on wine-ge-custom with the addition of patches required for PortProton) You can still use the PROTON_GE version by selecting it in the startup menu.exe file.
* due to the rebranding and the transition to the new WINE-PROTON branch, the scripts have been significantly updated
* ATTENTION: The prefix of variables in "EDIT_DB" and "user.conf" has changed from "PW_" to "PW_". At the first launch after the update, your settings files will also be updated.

###Scripts version 2129###
* scipts optimization for dxvk and vkd3d

###Scripts version 2128###
* updated "plugins_v7" (updated libraries for FAKE DLSS - FSR 2.1 operation)
* updated PROTON_GE_7-33 (updated dxvk and vkd3d)

###Scripts version 2127###
* updated "plugins_v6" (added libraries for FAKE DLS)
* added the ability to enable support for USE_FAKE_DLSS in the EDIT_DB menu (Works on ANY video card with Vulkan support)

###Scripts version 2126###
* updated PROTON_GE_7-30 (dxvk and vkd3d from PROTON_STEAM_7.0-4)

###Scripts version 2125###
* HOTFIX - start.sh

###Scripts version 2124###
* updated "PROTON_GE" to version 7-29
* updated "PROTON_STEAM" to version 7.0-4
* updated pp-games-lib plugin

###Scripts version 2123###
* HOTFIX - GALLIUM NINE mode

###Scripts version 2122###
* added the pp-games-lib plugin to the new PortProton/data/plugins/ details directory on github (plugin author: comrade zorn) https://github.com/zorn-v/PortProton-games-library
* updated scripts for installing and launching League of Legends (updated WINE_LOL_GE_7.0-4 - from now on there is no need to enter the root password to launch League of Legends)
* for GALLIUM_NINE to work, PROTON_GE is used by default
* in GALLIUM_NINE mode, the operation of launchers (such as Epic Games) has been fixed
* for Wargaming Game Center, the startup argument "--disable-gpu" is disabled automatically when using VULKAN mode.
* when using the DOTNET prefix, the black screen display in some applications has been fixed
* added a choice of downloading and automatic installation of WINE versions from Kron4ek

###Scripts version 2121###
* updated "PROTON_GE" to version 7-26
* fixed creation of shortcuts for WGC (to automatically fix existing shortcuts, just run the WGC installer from PortProton)
* Added automatic activation of MANGOHUD when using FPS limit

###Scripts version 2120###
* updated "PROTON_GE" to version 7-21
* updated "libs_v32" (Steam Runtime Snipers)
* updated installation of ORIGIN

###Scripts version 2119###
* HOTFIX - for PW_USE_D3D_EXTRAS
* updated information about the project, developers and paid subscribers on boosty
* added optimization of games and applications when using a Wayland session (using direct launch, not using XWayland)

###Scripts version 2118###
* PW_USE_D3D_EXTRAS is back on by default (except WGC)
* updated "PROTON_STEAM" to version 7.0-3
* added information about the project and developers (test mode)

###Scripts version 2117###
* HOTFIX - World of Sea Battles
* HOTFIX - AUTOINSTALL

###Scripts version 2116###
* HOTFIX - Epic Games Store
* HOTFIX - League of Legends

###Scripts version 2115###
* optimized launch PortProton in Rosa Linux

###Scripts version 2111 - 2114###
* debug

###Scripts version 2110###
* updated "PROTON_GE" to version 7-20
* fixed the work of the game World of Warplanes
* variable PW_D3D_EXTRAS_DISABLE renamed to PW_USE_D3D_EXTRAS and disabled by default

###Scripts version 2109###
* update "libs_v31"
* updated "PROTON_GE" to version 7-19

###Scripts version 2108###
* HOTFIX for Rosa Linux

###Scripts version 2107###
* accelerated container launch
* optimization of start.sh script
* updated "libs_v30" (restored work of vkBasalt on previous versions of OS Linux)
* updated "PROTON_GE" to version 7-18

###Scripts version 2106###
* updated libs_v29 (steam runtime sniper 20220509, mangohud 0.6.7, vkBasalt 0.3.2.5)
* added "WINE_FULLSCREEN_FSR" variable to "EDIT_DB" to enable "AMD FidelityFX Super Resolution"
* improved image quality when using FSR (Works while using any version of ProtonGE in full screen mode at a resolution below the standard screen)
* vkBasalt performance improved
* performance improvements in games when using the VULKAN API (DXVK and VKD3D)

###Scripts version 2105###
* updated "PROTON_STEAM" to version 7.0-2
* updated "PROTON_GE" to version 7-16
* updated "WINE_LOL_GE" to version 7.0-2 + installation and startup scripts (game client launch is accelerated)
* removed "Bethesda.net Launcher" from AUTOINSTALL (because it moved to STEAM)
* improved prefix image creation and unpacking functions

###Scripts version 2104###
* HOTFIX - download and update winetricks
* when creating a log, all d3dx* and d3dcomp* were removed for readability

###Scripts version 2103###
* updated container launch mode
* temporary variable PW_USE_AMDVLK_DRIVER does not work

###Scripts version 2102###
* fixed work of GALLIUM_NINE on integrated video cards from Intel
* fixed switching AMDVLK - RADV
* FPS increase in games up to 20% (for all launch modes)

###Scripts version 2101###
* fix work WINETRICKS (new prefix manager) in the absence of winetricks.log
* updated "libs_v28" (MANGOHUD update to version 0.6.6-1)

###Scripts version 2100###
* updated "libs_v27" (unification of library directories for different Linux OS)
* MANGOHUD works again in OPENGL mode
* added launcher World of Sea Battle (TEST)

###Scripts version 2099###
* updated "PROTON_GE" to version 7-14
* updated "libs_v26" (Steam Runtime Sniper container update)
* updated "plugins_v5"
* added check for the presence of the d3dadapter9 library in the system (required for GALLIUM_NINE to work on a larger number of Linux OS)
* faster creation of a new prefix
* default theme for wine is light (after creating a new one, or clearing the current prefix)
* added variable PW_USE_SHADER_CACHE to EDIT_DB to control shader caching (disable only if there are microfreezes in the game)
* removed STEAM_PP from AUTOINSTALL (because there is a native STEAM for Linux with its own wine-proton)

###Scripts version 2098###
* due to possible problems with some games, MANGOHUD is disabled by default (enabled in EDIT_DB -> MANGOHUD, or globally by adding export PW_MANGOHUD=1 to user.conf)

###Scripts version 2097###
* accelerated launch of all applications in PortProton up to 200% depending on the system
* updated additional libraries "plugins_v4" (added support for GALLIUM_NINE)
* added "GALLIUM_NINE" mode selection (support for native DirectX9 on video card with MESA driver)
* new interface for WINETRICKS added settings tab
* added variable PW_USE_AMDVLK_DRIVER to EDIT_DB (use AMDVLK driver instead of RADV on AMD video cards)
* added label archiving when creating a prefix image
* added restoration of shortcuts after unpacking the prefix image (the path to the .exe file is corrected automatically)
* improved virtual desktop performance
* explorer changed to winefile (free disk space detection fixed)
* disabled loading of mono and gecko for League of Legends (speeds up the first launch)
* to force the use of AMD graphics cards instead of NVIDIA, you can add "export DRI_PRIME=1" to user.conf

###Scripts version 2096###
* added check for LANG variable for PortProton to work on STEAM-DECK
* added new interface for WINETRICKS
* updated "libs_v25" (updated steam runtime sniper, added support for "MANGOHUD" and "vkBasalt" for systems: "RED OS" and "OpenSUSE")
* added variable PW_FIX_VIDEO_IN_GAME to EDIT_DB (required for video playback in some games so that it is not distorted, colored pink)

###Scripts version 2095###
* updated "libs_v24" (hotfix)

###Scripts version 2094###
* rollback "PROTON_GE" to version 7-9

###Scripts version 2093###
* updated "PROTON_STEAM" to version 7.0-1B
* updated "PROTON_GE" to version 7-10
* implemented prefix backups (WINE SETTINGS -> CREATE PFX BACKUP)
* temporarily restore copies using RMB to *.ppack (backup image) and open with... PortProton
* implemented full support for Rosa Linux (the installer is in the repositories)

###Scripts version 2092###
* added separation of WINE and PORTPROTON settings in the main interface
* added quick creation of backup copies of assembly scripts before updating them (SCRIPTS FROM BACKUP in the PORTPROTON SETTINGS tab)
* other minor scripting improvements included in PortProton v1.0 release

###Scripts version 2091###
* RELEASE PORTPROTON v.1.0

###Scripts version 2086 - 2090###
* HOTFIX - fixed creation of symbolic links

###Scripts version 2086 - 2089###
* updated "PROTON_STEAM" to version 7.0-1
* updated "libs_v22.2" (Steam Runtime Sniper container update)
* updated additional libraries "plugins_v3" (added "EasyAntiCheat_Runtime" and updated "BattlEye_Runtime")
* added ability to create custom prefixes
* fixed "AUTOINSTALL" operation after "Arch Linux" update
* "League of Legends" is put in a separate prefix, which speeds up its launch (no need to update the prefix on each launch)
* by default there is an empty "DOTNET" prefix, when it starts it is automatically filled with libraries: "physx mfc42 vcrun2019 dotnet20sp2 dotnet48"
* added saving priority user settings (db files) inside the directory with the launched .exe file
* redesigned the main interface of PortProton (AUTOINSTALL opens by default on the first tab, in the SETTINGS tab added prefix selection and creation of a new prefix)
* added check to which prefix the Launcher is set from AUTOINSTALL
* added change history display before PortProton update

###Scripts version 2085###
* added argument editor for ".exe" file to "EDIT_DB" interface
* added "WINDOWS" version selection to "EDIT_DB" interface
* added "WINEDLLOVERRIDES" variable editor to "EDIT_DB" interface
* added "AUTOINSTALL WITH WINETRICKS" to "EDIT_DB" interface for installing "WINDOWS" libraries

###Scripts version 2084###
* improved function of displaying the icon of the file being launched in the PortProton GUI
* fixed function of changing "CREATE_SHORTCUT" button in PortProton interface

###Scripts version 2083###
* added displaying the icon of the file being launched in the PortProton GUI
* fixed creation of multiple .png files in .exe directory during shortcut creation
* in the PortProton interface, the "CREATE_SHORTCUT" button changes to "DELETE_SHORTCUT" when the shortcut is enabled in the menu -> games

###Scripts version 2082###
* HOTFIX - AUTOINSTALL for EGS

###Scripts version 2081###
* fixed installing GOG Galaxy
* update WINE PROTON_GE to 7.1-2

###Scripts version 2080###
* added progress display of winetricks and library downloads during prefix update
* added display of the startup process with log output on the fly when using the DEBUG mode
* removed from DEBUG information output that does not affect the operation of PortProton (gstreamer, ntlm, kerberos)

###Scripts version 2079###
* fixed DLSS work on some systems
* reduced boot logo by 30%

###Scripts version 2078###
* added work Red Dead Redemption 2 purchased and launched in the Epic Games Launcher

###Scripts version 2077###
* fixed empty VULKAN/OPENGL selection window with some db files
* the main GUI functions on yad are moved to a separate file

###Scripts version 2076###
* HOTFIX - create symlink

###Scripts version 2075###
* HOTFIX - fixed OpenGL mode

###Scripts version 2072-2074###
* HOTFIX - fixed launch of League of Legends

###Scripts version 2071###
* added the ability to download other versions of WINE when opening an exe file (in the WINE selection drop-down list)
* updated launch mode gamemode (bug fixed libgamemode.so)
* added FSYNC optimization when getting kernel 5.16+ (increases FPS)
* added new launch mode: "VULKAN (WINE DXGI)" required for some new games using DX12

###Scripts version 2070###
* added PW_D3D_EXTRAS_DISABLE variable to EDIT_DB for DirectX external library
* rollback MANGOHUD to stable version from libs_v19.2
* fixed internet download interruption
* updated WINE_LOL_GE 7.0

###Scripts version 2069###
* added support for OpenSUSE (vkBasalt and MANGOHUD)
* fixed GOG installation (for OpenSUSE and Fedora)
* update plugins v.2.0:
        - BattlEye_Runtime (10 January 2022)
        - d3d_extras v.2.0
        - nvapi v.0.5.1
        - nvml v.0.1.1

###Scripts version 2068###
* HOTFIX - WINE download fixed
* NV_PRIME_RENDER_OFFLOAD is disabled by default (can be enabled using EDIT_DB)

###Scripts version 2067###
* updated libs to v20 (uses new Steam Runtime Sniper container + updated: MANGOHUD, vkBasalt and additional packages required for PortProton)
* fixed GOG installation
* fixed black screen in Epic Games (NVIDIA + driver v.495)
* fixed canceling file downloads while using AUTOINSTALL
* many small fixes

###Scripts version 2066###
* updated WINE PROTON_GE_7.0RC6-1 (with dxvk and vkd3d)
* the wine version from PROTON_GE is used by default (can be replaced with PROTON STEAM by adding to user.conf: export PW_WINE_USE=PROTON_STEAM)
* added check for number of db files for one .exe
* fixed disabling of the League of Legends boot logo
* updated db files

###Scripts version 2065###
* HOTFIX - correcting the termination of the yad and yad_v13_0 processes

###Scripts version 2064###
* added notification to the user about possible problems when starting in a Wayland session (once and only under Wayland)
* added display of the current session type in debug
* added changelog in English
* after clearing the prefix (CLEAR PREFIX from SETTINGS) PortProton restart added

-----------------------------------------
<<< TRANSLATED WITH GOOGLE >>>

###Scripts version 2063###
* checking the relevance of scripts was transferred from wget to curl (significantly speeds up the launch of PortProton)
* fixed bug with restarting PortProton (quick restart)
* fixed symlink creation errors when starting from PortProton.desktop
* changed completion of PortProton scripts
* to optimize the first launch of games / launchers after using the AUTOINSTALL function, when filling the prefix with winetricks, the WINE version is used, which is indicated in the db file.

###Scripts version 2062### (Experimental version not included in the main branch)
* PROTON EXPEREMENTAL test from 01/14/22 (together with dxvk and vkd3d)
* test PROTON_GE 7.0 RC6 (shared with dxvk and vkd3d)

###Scripts version 2061###
* continue to prepare the installation of PortProton from the repositories

###Scripts version 2060###
* prepared the ability to install PortProton from the repositories

###Scripts version 2059###
* updated GOG auto-installation

###Scripts version 2058###
* by default selected PW_WINE_USE=PROTON_STEAM for EGS

###Scripts version 2057###
* updated db files for EGS, UPLAY, STEAM
* added port update button "UPDATE PORTPROTON" to the "SETTINGS" tab

###Scripts version 2056###
* removed xtrem from dependencies (added use of native terminal emulator with yad)
* fixed installation of dotnet 4.5+ with winetricks
* HOTFIX - downloading libraries and wine on some systems (TEST)
* updated WINE_LOL_GE_6.16-5 with embedded mono 6.3.0 + gecko 2.47.2
* duckstation epsxe project64 vba-m yabause emulators added (thanks chal55rus)
* updated PROTON_STEAM to version 6.3-8C_PW2 (updated dxvk and vkd3d)

###Scripts version 2055-1###
* updated db AnomalyLauncher

###Scripts version 2055###
* updated PROTON_STEAM to version 6.3-8 (again =)
* copying fonts has been replaced by creating symbolic links
* Added Cemu to emulator installers

###Scripts version 2054###
* added a new item to the PortProton menu to install emulators (thanks chal55rus)

###Scripts version 2053###
* HOTFIX - fixed symlink creation errors for some libraries from plugins_v1

###Scripts version 2052-5###
* correct layout display loading League of Legends

###Scripts version 2052###
* rebranding of the logo (the source of the logo is in Discord - I'm waiting for your options for icons in png format)
* added cover art when loading the League of Legends client
* added animation when loading PortProton
* added animation when updating the prefix and running winetricks (with the ability to switch to the terminal output inside the GUI)
* copying d3d_extras changed to creating symlinks (still slightly increases port startup speed)

###Scripts version 2051###
* added checking and downloading the latest version of WINE for League of Legends before launching the game

###Scripts version 2050###
* HOTFIX - display WINE versions when creating a db file
